Next: conj, Previous: cimag, Up: Complex

### 2.13 `clog`, `clogf`—complex base-e logarithm

Synopsis

         #include <complex.h>
         double complex clog(double complex z);
         float complex clogf(float complex z);

Description
These functions compute the complex natural (base-e) logarithm of z, with a branch cut along the negative real axis.

`clogf` is identical to `clog`, except that it performs its calculations on `floats complex`.

Returns
The clog functions return the complex natural logarithm value, in the range of a strip mathematically unbounded along the real axis and in the interval [-i*pi , +i*pi] along the imaginary axis.

Portability
`clog` and `clogf` are ISO C99